</div>
</main>
        <div class="clearfix"></div>
        <footer id="site_footer" class="site_footer">
            <div class="container">
                <div id="footer-top-wrap" class="footer-top-wrap">                    
                    <div class="footer-logo">
                        <a href="<?php echo get_site_url(); ?>">
                            <?php
                                if (function_exists('the_custom_logo')) {
                                    the_custom_logo();
                                }else{
                                    ?><img src="https://thelondonchronicle.co.uk/wp-content/uploads/2025/05/cropped-logo__1_-removebg-preview.png" class="custom-logo" alt="The London Chronicle" 
                                    decoding="async" fetchpriority="high" 
                                    srcset="https://thelondonchronicle.co.uk/wp-content/uploads/2025/05/cropped-logo__1_-removebg-preview.png 653w, https://thelondonchronicle.co.uk/wp-content/uploads/2025/05/cropped-logo__1_-removebg-preview-300x91.png 300w" 
                                    sizes="(max-width: 653px) 100vw, 653px"><?php   
                                }
                            ?>
                        </a>
                    </div>
                    <div class="footer-follow-us">
                        <ul>
                            <li><a href="#" target="_blank"><i class="fa-brands fa-facebook-f"></i></a></li>
                            <li><a href="#" target="_blank"><i class="fa-brands fa-x-twitter"></i></a></li>
                            <li><a href="#" target="_blank"><i class="fa-brands fa-instagram"></i></a></li>
                            <li><a href="#" target="_blank"><i class="fa-brands fa-youtube"></i></a></li>
                            <li><a href="#" target="_blank"><i class="fa-brands fa-tiktok"></i></a></li>
                        </ul>    
                    </div>
                </div>
                <div id="footer-bottom-wrap" class="footer-bottom-wrap">  
                    <?php
                        wp_nav_menu(array(
                            'theme_location' => 'footer-menu',
                            'container' => 'div', 
                            'container_class' => 'main-menus-duplicate',
                            'menu_class' => 'custom-nav'
                        ));
                    ?>
                    <div class="clearfix"></div>
                    <?php
                        wp_nav_menu(array(
                            'theme_location' => 'main-menu',
                            'container' => 'div', 
                            'container_class' => 'footer-menus-block',
                            'menu_class' => 'cust'
                        ));
                    ?>
                    <div class="clearfix"></div>
                    <div id="footer-site-info" class="footer-site-info">
                        <p><span class="copyright-text">Copyright 2025. All rights reserved. <?php echo get_bloginfo('name'); ?></span></p>
                    </div>
                </div>
            </div>
        </footer>
    </div>
    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="<?php echo get_stylesheet_directory_uri(); ?>/js/jquery-3.7.1.min.js"></script>
    <script> 
        jQuery(document).ready(function($) {
            
            var ajax_url = "<?php echo admin_url('admin-ajax.php'); ?>";
            var ajax_nonce = "<?php echo wp_create_nonce('my_ajax_nonce'); ?>";
            // alert("custom.js loaded!");
        
            // Login form submit
            $('#login-form').on('submit', function(e) {
                e.preventDefault();
        
                const username = $('#login-username').val();
                const password = $('#login-password').val();
        
                $.post(ajax_url, {
                    action: 'custom_login',
                    username,
                    password
                }, function(response) {
                    if (response.success) {
                        $('#login-error').removeClass('text-danger').addClass('text-success').text(response.data.message);
                        setTimeout(() => window.location.href = response.data.redirect, 1000);
                    } else {
                        $('#login-error').removeClass('text-success').addClass('text-danger').text(response.data.message);
                    }
                });
            });
        
            // Register form submit
            console.log('JS loaded ✅');
        
            $('#register-form').on('submit', function (e) {
                e.preventDefault();
                console.log('Register form submitted via AJAX ✅');
            
                const username = $('#reg-username').val().trim();
                const email = $('#reg-email').val().trim();
                const password = $('#reg-password').val().trim();
                const errorDiv = $('#register-error');
            
                // Strong password regex
                const strongPasswordRegex = /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[\W_]).{8,}$/;
            
                // Password validation
                if (!strongPasswordRegex.test(password)) {
                    errorDiv.removeClass('text-success').addClass('text-danger').text(
                        'Password must be at least 8 characters long and include uppercase, lowercase, number, and symbol.'
                    );
                    return; // Stop form submission
                }
            
                // Proceed with AJAX
                $.post(ajax_url, {
                    action: 'custom_register',
                    username,
                    email,
                    password
                }, function (response) {
                    console.log(response);
                    if (response.success) {
                        errorDiv.removeClass('text-danger').addClass('text-success').text(response.data.message);
                        setTimeout(() => {
                            window.location.href = '/creator';
                        }, 1500);
                    } else {
                        errorDiv.removeClass('text-success').addClass('text-danger').text(response.data.message);
                    }
                });
            });
        });
    </script>
    <script>
  document.addEventListener('DOMContentLoaded', function () {
    const menuToggle = document.getElementById('hamburgerToggle');
    const sideMenu = document.getElementById('sideMenu');
    const overlay = document.getElementById('mobile-menu-bg');
    menuToggle.addEventListener('click', function (e) {
      e.preventDefault();
      sideMenu.classList.toggle('open');
      overlay.classList.toggle('show');
      document.body.classList.toggle('menu-open');
    });
    overlay.addEventListener('click', function () {
      sideMenu.classList.remove('open');
      overlay.classList.remove('show');
      document.body.classList.remove('menu-open');
    });
  });
</script>
    <script>
document.addEventListener('DOMContentLoaded', function () {
    const toggle = document.getElementById('searchToggle');
    const form = document.getElementById('searchForm');
    toggle.addEventListener('click', function (e) {
        e.preventDefault();
        form.style.display = (form.style.display === 'block') ? 'none' : 'block';
    });
});
</script>
    <?php wp_footer(); ?>
</body>
</html>