<?php
/* Template Name: Custom Login */
get_header();
?>

<div class="container py-5 d-flex justify-content-center">
    <div class="w-100" style="max-width: 500px;">
        <h2 class="mb-4">Login</h2>
        <form id="login-form" class="needs-validation" novalidate>
            <div class="mb-3">
                <label for="login-username" class="form-label">Username</label>
                <input type="text" class="form-control" id="login-username" required name="username">
            </div>
            <div class="mb-3">
                <label for="login-password" class="form-label">Password</label>
                <input type="password" class="form-control" id="login-password" required name="password">
            </div>
            <div id="login-error" class="text-danger mb-2"></div>
            <button type="submit" class="btn btn-lg btn-dark">Login</button>
        </form>
    </div>
</div>

<?php get_footer(); ?>
