<?php get_header(); ?>

<div class="container py-4">
  <div class="row">
    <!-- Main content -->
    <main class="col-md-8">
      <?php
      if ( have_posts() ) :
        while ( have_posts() ) : the_post();
          ?>
          <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            
            <?php
            // Display featured image if available
            if ( has_post_thumbnail() ) {
              echo '<div class="mb-4">';
              the_post_thumbnail('large', ['class' => 'img-fluid rounded']);
              echo '</div>';
            }
            ?>

            <h1 class="mb-3"><?php the_title(); ?></h1>
            <div class="mb-4 text-muted">
              Posted on <?php the_date(); ?> by <?php the_author(); ?>
            </div>
            <div class="entry-content">
              <?php the_content(); ?>
            </div>
          </article>
          <?php
          // If you want comments:
          if ( comments_open() || get_comments_number() ) {
            comments_template();
          }
        endwhile;
      else :
        echo '<p>No content found.</p>';
      endif;
      ?>
    </main>

    <!-- Sidebar -->
    <aside class="col-md-4">
                  <?php get_sidebar('post'); ?>
    </aside>
  </div>
</div>

<?php get_footer(); ?>
