<?php
/* Template Name: Author Profile Details */ 
get_header();
?>

<?php
if ( !is_user_logged_in() ) {
    $url= get_site_url().'/contributor-guidelines/';
	echo "<script> window.location.href ='".$url."';</script>";

}
?>
<?php
$current_users = wp_get_current_user();
$user_login = $current_users->user_login;
$user_email = $current_users->user_email;
$user_id =$current_users->ID;
$description = get_the_author_meta('description',$user_id);
$edit_profile_url= get_site_url().'/account/edit-account/';
$FirstName= get_user_meta($user_id,'first_name');
$LastName= get_user_meta($user_id,'last_name');
$userBio= get_user_meta($user_id,'description');
$userData =  get_userdata($user_id); 
$websiteUrl= $userData->data->user_url; 
$facebookUrl= get_user_meta($user_id, 'facebook');
$fbURL= @$facebookUrl[0];
$instagram_Url= get_user_meta($user_id, 'instagram');
$instagramURL= @$instagram_Url[0];
$linkedin_Url= get_user_meta($user_id, 'linkedin');
$linkedinURL= @$linkedin_Url[0];
$pinterest_Url= get_user_meta($user_id, 'pinterest');
$pintrestURL= @$pinterest_Url[0];
$tumblr_Url= get_user_meta($user_id, 'tumblr');
$tumblrURL= @$tumblr_Url[0];
$twitter_Url= get_user_meta($user_id, 'twitter');
$twitterURL= @$twitter_Url[0];
$youTube_Url= get_user_meta($user_id, 'youtube');
$youtubeURL= @$youTube_Url[0];
?>

<div class="dashboard-heading">
    <h1 class="text-center">Your Profile</h1>
    <div class="snow-blanket"></div>
</div>
<div class="container dashboard-authordetail-width dashboard-postlists-width">    
    <div class="dashboard_authorprofile_container">
            <div class="dashboard_author_profile_section row">
                <div class="col-sm-4 col-md-3 author_profile_left_section"> 
                  <div class="creator_author_metabox">
                      <div class="creator_author_image">
                          
                          <?php echo get_avatar($user_id, 176, '', 'profile pic'); ?>
                          <!--img alt="profile pic" src="<?php //echo esc_url( get_avatar_url( $user_id,array('size' => 170) ) ); ?>" /-->
                          <?php if(!empty($FirstName[0]) || !empty($LastName[0])){ ?>
                                 <h3><?php echo $FirstName[0] .'&nbsp;'.$LastName[0]; ?></h3> 
                                 <?php }else{
                                 echo "<h3>".$current_users->display_name."</h3>";
                                 } ?> 

                          <span class="author_edit_btn"><a class="aps_btn_primary" href="<?php echo $edit_profile_url; ?>">Edit Profile</a></span>
                      </div>
                      
                      
                  </div><!--.creator_author_metabox end -->
                  
                </div><!--.col-md-3 end -->
                
                 <div class="col-sm-8 col-md-9 author_profile_right_section">     
                     <div class="creator_author_description">
                         <div class="creator_author_details"> 
                             <div class="back_btn_creator"><a href="<?php echo site_url(); ?>/creator/" class="back_to_page aps_btn_primary"><i class="fa fa-long-arrow-left pr-1"></i> Back</a>
                             <a href="<?php echo wp_logout_url(home_url());  ?>" class="logout_profile aps_btn_primary"><i class="fa fa-sign-out pr-1"></i> Log Out</a>
                             </div>
                             
                             <div class="author_edit_header">
                             <?php if(!empty($FirstName[0]) || !empty($LastName[0])){
                             //print_r($FirstName);
                             ?>
                             <h4><?php echo $FirstName[0] .'&nbsp;'.$LastName[0]; ?></h4> 
                             <?php }else{
								 
								 echo "<h4>".$current_users->display_name."</h4>";
							 }  ?>
                             <!--<h4><?php //echo $user_login; ?></h4>--> 
                              
                            </div> 
                             <?php if($description){ ?>
                             <div class="author_descriptions">
                               <p><?php echo $description; ?></p>
                               </div>
                             <?php } ?>
                              <?php //if($websiteUrl){?>
                             <!--div class="author_metadata_description">
                                 
                                 <h4><span>Website: </span><a href="<?php echo $websiteUrl; ?>"><?php echo $websiteUrl; ?></a></h4>
                             </div-->
                             <?php //} ?>
                             <div class="authorsocialmedia_box">
                                  <div class="social_icons_lists">
                                      <ul>
                                        <?php if($fbURL): ?>
                                              <li>
                                                  <a target="_blank" href="<?php echo $fbURL; ?>"><i class="fa fa-facebook"></i>
                                                  </a>
                                              </li>
                                        <?php endif; ?> 
                                        <?php if($instagramURL): ?>
                                                <li>
                                                  <a target="_blank" href="<?php echo $instagramURL; ?>"><i class="fa fa-instagram"></i>
                                                  </a>
                                                </li>
                                        <?php endif; ?>
                                        <?php if($linkedinURL): ?>
                                              <li>
                                                  <a target="_blank" href="<?php echo $linkedinURL; ?>"><i class="fa fa-linkedin"></i>
                                                  </a>
                                              </li>
                                        <?php endif; ?>
                                        <?php if($pintrestURL): ?>
                                              <li>
                                                  <a target="_blank" href="<?php echo $pintrestURL; ?>"><i class="fa fa-pinterest"></i>
                                                  </a>
                                              </li>
                                        <?php endif; ?>
                                        <?php if($tumblrURL): ?>
                                              <li>
                                                  <a target="_blank" href="<?php echo $tumblrURL; ?>"><i class="fa fa-tumblr"></i>
                                                  </a>
                                              </li>
                                        <?php endif; ?>
                                        <?php if($twitterURL): ?>
                                              <li>
                                                  <a target="_blank" href="<?php echo $twitterURL; ?>"><i class="fa fa-twitter"></i>
                                                  </a>
                                              </li>
                                        <?php endif; ?>
                                        <?php if($youtubeURL): ?>
                                              <li>
                                                  <a target="_blank" href="<?php echo $youtubeURL; ?>"><i class="fa fa-youtube"></i>
                                                  </a>
                                              </li>
                                        <?php endif; ?>
                                    </ul>
                                  </div>
                      
                            </div><!--.authorsocialmedia_box end -->
                         </div><!--.creator_author_details end -->
                     </div><!--.creator_author_description end -->
                     
                     
                 </div> <!--.col-md-9 end -->  
                
        
        </div><!--.dashboard_author_profile_section end -->
    </div><!--.dashboard_authorprofile_container end -->
    
</div> <!--.container end -->

<?php
get_footer();
?>  