<?php
/* Template Name: Custom Register */
get_header();
?>

<div class="container py-5 d-flex justify-content-center">
    <div class="w-100" style="max-width: 500px;">
        <h2 class="mb-4">Register</h2>
        <form id="register-form">
            <div class="mb-3">
                <label for="reg-username" class="form-label">Username</label>
                <input type="text" class="form-control" id="reg-username" required name="username">
            </div>
            <div class="mb-3">
                <label for="reg-email" class="form-label">Email</label>
                <input type="email" class="form-control" id="reg-email" required name="email">
            </div>
            <div class="mb-3">
                <label for="reg-password" class="form-label">Password</label>
                <input type="password" class="form-control" id="reg-password" required name="password">
            </div>
            <div id="register-error" class="text-danger mb-2"></div>
            <button type="submit" class="btn btn-lg btn-dark">Register</button>
        </form>
    </div>
</div>

<?php get_footer(); ?>
