<?php
get_header(); // Loads header.php
?>

<main id="site-content" role="main">
  <div class="container">
    <?php
    if (have_posts()) :
        while (have_posts()) : the_post(); ?>
            <h1 class="entry-title"><?php the_title(); ?></h1>
            <div class="entry-content">
                <?php the_content(); ?>
            </div>
        <?php endwhile;
    else :
        echo '<p>No content found.</p>';
    endif;
    ?>
  </div>
</main>

<?php
get_footer(); // Loads footer.php
?>
