<?php
/* Template Name: Author Edit Profile */ 
get_header(); 
?>
 
<?php
if ( !is_user_logged_in() ) {
    $url= get_site_url().'/login/';
    echo "<script> window.location.href ='".$url."';</script>";
}
$current_users = wp_get_current_user();
$user_login = $current_users->user_login;
$user_email = $current_users->user_email;
$user_id =$current_users->ID;

$messageserr =""; 
if(isset($_POST['UserSavePost'])){
    $FormEditUserId= $_POST['EditUserId'];
    $firstName = $_POST['firstName'];
    $lastName = $_POST['lastName'];
    $userbio = $_POST['description'];
    $websiteURL= $_POST['WebsiteUrl'];
    $facebookURL= $_POST['FacebookUrl'];
    $instagramURL= $_POST['InstagramUrl'];
    $linkedInURL= $_POST['LinkedInUrl'];
    $pinterestURL= $_POST['PinterestUrl'];
    $tumblrURL= $_POST['TumblrUrl'];
    $twitterURL= $_POST['TwitterUrl'];
    $youTubeURL= $_POST['YouTubeUrl']; 
if(empty($firstName) || empty($lastName) || empty($userbio) ){
		$messageserr = "All Fields Are mandatory";
	}
	else{
    $insertpdata = array(
							 'ID'           => $FormEditUserId,
					         'first_name'	=> $firstName,
					         'last_name'	=> $lastName,
					         'description'  => $userbio,
					         'user_url'     => $websiteURL
							);
	$userdata = wp_update_user( $insertpdata); 	 					
    if($userdata)
        {
    		 update_user_meta($userdata, 'first_name', $firstName);
    		 update_user_meta($userdata, 'last_name', $lastName);
    		 update_user_meta($userdata, 'description', $userbio);
    		 update_user_meta($userdata, 'facebook', $facebookURL);
    		 update_user_meta($userdata, 'instagram', $instagramURL);
    		 update_user_meta($userdata, 'linkedin', $linkedInURL);
    		 update_user_meta($userdata, 'pinterest', $pinterestURL);
    		 update_user_meta($userdata, 'tumblr', $tumblrURL);
    		 update_user_meta($userdata, 'twitter', $twitterURL);
    		 update_user_meta($userdata, 'youtube', $youTubeURL);
			 $redUrl = site_url('creator/edit-profile/?userid='.$FormEditUserId.'&userupdated=successfully');
    		 
    		 echo "<script> window.location.href ='".$redUrl."';</script>";

    		 
        }
    }
} 
?>
<?php
if(isset($_GET['userid'])) {
$editUserID= $_GET['userid'];

if(trim($user_id) !== trim($editUserID)){
    $urltootheruser = get_site_url().'/creator/';
       echo "<script> window.location.href ='".$urltootheruser."';</script>";
}

?>
<div class="dashboard-heading">
    <h1 class="text-center">Edit Profile</h1>
    <div class="snow-blanket"></div>
</div>
<div class="container"> 
    <div class="creator_newpost_section">
        <div class="col-md-12 creator_newpost_content_area"> 
            <div class="col-md-12"> 
                <?php if(isset($_GET['userupdated']) && $_GET['userupdated']=="successfully"){
        	            echo "<div class='success-outer'><div class='success-inner'>Your User Information update successfully.</div></div>"; 
                } ?>
				<div class="back_btn_creator justify-content-between">
                    <h2 class="h2Heading">Edit Profile</h2>
                    <div class="Back_btn-last">
                      <a href="<?php echo site_url(); ?>/creator/" class="back_to_page aps_btn_primary">
                        <i class="fa fa-long-arrow-left pr-1"></i> Back</a>
                  </div>  
                  </div>
               
                <div class="error-msg-save" <?php if(!empty($messageserr)){ ?> style="display:block" <?php } ?>><?php if(!empty($messageserr)){ echo $messageserr; } ?></div>
            </div><!--.col-md-12 end -->
			<div class="row">
            <div class="col-md-12 col-lg-7">
                <div class="creator_editprofile_section">
                    <div class="creator_editprofile_content"> 
                        <?php $FirstName= get_user_meta($editUserID,'first_name');
                              $LastName= get_user_meta($editUserID,'last_name');
                              $userBio= get_user_meta($editUserID,'description');
                              $userData =  get_userdata($editUserID); 
                              $websiteUrl= $userData->data->user_url;
                              $facebookUrl= get_user_meta($editUserID, 'facebook');
                              $instagramUrl= get_user_meta($editUserID, 'instagram');
                              $linkedinUrl= get_user_meta($editUserID, 'linkedin');
                              $pinterestUrl= get_user_meta($editUserID, 'pinterest');
                              $tumblrUrl= get_user_meta($editUserID, 'tumblr');
                              $twitterUrl= get_user_meta($editUserID, 'twitter');
                              $youTubeUrl= get_user_meta($editUserID, 'youtube');
                              
                        ?>
                        <form method="post" id="authorFormData" enctype="multipart/form-data" class="row author_editdetails_form" >
                            <div class="col-md-12 form-group creator_form_style">
            	 	            <label>First Name</label>
                                <input type="text"  name="firstName" class="EditFirstName" value="<?php echo $FirstName[0]; ?>">
                            </div>
                            <div class="col-md-12 form-group creator_form_style">
            	 	            <label>Last Name</label>
                                <input type="text"  name="lastName" class="EditLastName" value="<?php echo $LastName[0]; ?>">
                            </div>
                            <div class="col-md-12 form-group creator_form_style">
                                <label>Biographical Info</label>
                                <textarea minlength=130 maxlength="220" name="description" rows="9" class="max" id="theTextArea"  placeholder="Between 130 and 220 characters are allowed"><?php echo $userBio[0]; ?></textarea> 
                                <div id="textarea_feedback"></div>
                            </div>
                            <div class="col-md-12 form-group creator_form_style">
            	 	            <label>Website url</label>
                                <input type="text"  name="WebsiteUrl" class="EditWebsiteName" value="<?php echo $websiteUrl; ?>">
                            </div>
                            <div class="col-md-12 form-group creator_form_style">
            	 	            <label>Facebook profile URL</label>
                                <input type="text"  name="FacebookUrl" class="EditFacebookUrl" value="<?php echo isset($facebookUrl[0]) ? esc_attr($facebookUrl[0]) : ''; ?>">
                            </div>
                            <div class="col-md-12 form-group creator_form_style">
            	 	            <label>Instagram profile URL</label>
                                <input type="text"  name="InstagramUrl" class="EditInstagramUrl" value="<?php echo isset($instagramUrl[0]) ? esc_attr($instagramUrl[0]) : ''; ?>">
                            </div>
                            <div class="col-md-12 form-group creator_form_style">
            	 	            <label>LinkedIn profile URL</label>
                                <input type="text"  name="LinkedInUrl" class="EditLinkedInUrl" value="<?php echo isset($linkedinUrl[0]) ? esc_attr($linkedinUrl[0]) : ''; ?>">
                            </div>
                            <div class="col-md-12 form-group creator_form_style">
            	 	            <label>Pinterest profile URL</label>
                                <input type="text"  name="PinterestUrl" class="EdiPinterestUrl" value="<?php echo isset($pinterestUrl[0]) ? esc_attr($pinterestUrl[0]) : ''; ?>">
                            </div>
                            <div class="col-md-12 form-group creator_form_style">
            	 	            <label>Tumblr profile URL</label>
                                <input type="text"  name="TumblrUrl" class="EditTumblrUrl" value="<?php echo isset($tumblrUrl[0]) ? esc_attr($tumblrUrl[0]) : ''; ?>">
                            </div>
                            <div class="col-md-12 form-group creator_form_style">
            	 	            <label>Twitter URL</label>
                                <input type="text"  name="TwitterUrl" class="EditTwitterUrl" value="<?php echo isset($twitterUrl[0]) ? esc_attr($twitterUrl[0]) : ''; ?>">
                            </div>
                            <div class="col-md-12 form-group creator_form_style">
            	 	            <label>YouTube profile URL</label>
                                <input type="text"  name="YouTubeUrl" class="EditYouTubeUrl" value="<?php echo isset($youTubeUrl[0]) ? esc_attr($youTubeUrl[0]) : ''; ?>">
                            </div>
                            <div class="col-md-12 form-group creator_submit_form creator_form_style">
                                    <input type="hidden" name="UserSavePost" value="Update Profile" >
                                    <input type="hidden" name="EditUserId" value="<?php echo $editUserID; ?>" >
                                    <input type="button" name="UserSavePost" value="Update Profile" class="UserSavePost UserSubmitPost">
                                </div>
                        </form>
                    </div><!--.creator_editprofile_content end -->
                
                </div> <!--.creator_editprofile_section end -->   
        </div><!--.col-md-7 End -->
        <div class="col-md-12 col-lg-5">
            <div class="avatar_imageform_section">
                 <form method="post" enctype="multipart/form-data" action="">
                    <?php wp_user_avatars_edit_user_profile( wp_get_current_user() ); ?>
                    <input type="submit" name="submit" id="submit" class="button button-primary" value="Update Avatar"> 
                </form> 
            </div> 
           
        </div><!--.col-md-5 End -->
		 </div>
    </div><!--.creator_newpost_content_area end -->
</div><!--.creator_newpost_section end -->
</div><!--.container end-->
<?php } ?>
<?php
get_footer();
?> 
<script>
$ = jQuery;
jQuery(document).ready(function(){ 
    
   jQuery(".UserSubmitPost").on("click",function(){
		
	$(".success-outer").hide();
	error = "";
    var FirstName =    $(".EditFirstName").val();
    var LastName =    $(".EditLastName").val();
	var UserDescription =    $("#theTextArea").val();
    if(FirstName ===""){
        error = "Your First Name is Required";
    }
	else if(LastName ===""){
        error = "Your Last Name is Required";
    }
    else if(UserDescription == ""){
		error = "Biographical Info is Required";
	}
	else if(UserDescription.length < 130){
		error = "Biographical Info Length should be more then 130 ";
	}
	else if(UserDescription.length > 220){
		error = "Biographical Info Length should be less then 220 ";
	}
	
    if(error !==""){
        $('html,body').animate({
        scrollTop: $(".creator_newpost_content_area").offset().top},
        'slow');
       $(".error-msg-save").show();
       $(".error-msg-save").text(error);
    }else{
         $("#authorFormData").submit();
         $(".error-msg-save").hide();
         $(".error-msg-save").text("");
         
    }
    
   }); 
$(".avatar_imageform_section img").attr("alt","author");
});
</script>
<script type="text/javascript">  

jQuery(document).ready(function() {
    var text_max = 220;
    
    $('#theTextArea').keyup(function() {
        var text_length = $('#theTextArea').val().length;
        var text_remaining = text_max - text_length;

        $('#textarea_feedback').html(text_remaining + ' characters remaining');
    });
});
</script> 
<style>
.error-msg-save{
width: 100%;
float: left;
background: red;
color: #fff; 
padding: 16px;
display: none;
}
.success-outer {
    background: #63b900;
    padding: 10px;
    color: #fff;
    margin-bottom: 10px;
}
#wp-user-avatars-user-settings {
position: relative !important;
}
#wp-user-avatars-ratings {
display: none !important;
}
#wp-user-avatars-user-settings img {
height: auto !important;
}
.avatar_imageform_section table th {
    display: none;
}
</style>   
  